Skip to main content
PUT
/
v1
/
api
/
oauth
/
apps
/
{client_id}
Update an OAuth app
curl --request PUT \
  --url https://api.hq.zone/v1/api/oauth/apps/{client_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_name": "<string>",
  "grant_types": [
    "<string>"
  ],
  "redirect_uris": [
    "<string>"
  ],
  "response_types": [
    "<string>"
  ],
  "scope": "<string>",
  "token_endpoint_auth_method": "<string>"
}
'
{
  "client_id": "<string>",
  "client_type": "<string>",
  "created_at": "<string>",
  "name": "<string>",
  "redirect_uris": [
    "<string>"
  ],
  "scopes": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Personal Access Token. Send as Authorization: Bearer hq_pat_....

Path Parameters

client_id
string
required

OAuth client id to update

Body

application/json
client_name
string | null
grant_types
string[] | null
redirect_uris
string[]
response_types
string[] | null
scope
string | null

Space-delimited capability scopes the client may request.

token_endpoint_auth_method
string | null

Response

The updated app

client_id
string
required
client_type
string
required

public (PKCE, no secret) or confidential (has a secret).

created_at
string
required
name
string
required
redirect_uris
string[]
required
scopes
string[]
required